apiVersion: v1
kind: ConfigMap
metadata:
  name: custom-logging-config
data:
  logging.properties: |2
    appender.stdout.name = STDOUT
    appender.stdout.type = Console
    rootLogger = info, STDOUT
    logger.activemq.name=org.apache.activemq.artemis.core.config.impl.ConfigurationImpl
    logger.activemq.level=TRACE
    logger.jaas.name=org.apache.activemq.artemis.spi.core.security.jaas
    logger.jaas.level=TRACE
    logger.rest.name=org.apache.activemq.artemis.core
    logger.rest.level=ERROR
---
apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemis
metadata:
  name: artemis-broker
spec:
  env:
  deploymentPlan:
    size: 1
    image: placeholder
    extraMounts:
      configMaps:
        - custom-logging-config
  brokerProperties:
   - addressConfigurations.COMMANDS.routingTypes=MULTICAST
   - key.surround=$$
   - addressSettings.#.redeliveryMultiplier=5
   - addressSettings.$$dsp.#$$.redeliveryMultiplier=2
